Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.discovery
Class MfTypeIOUtil

    java.lang.Object
      com.sun.mfwk.discovery.MfTypeIOUtil

public class MfTypeIOUtil
extends java.lang.Object

Field Summary
`static short` | `SIZEOF_BYTE`
`static short` | `SIZEOF_LONG`
`static short` | `SIZEOF_SHORT`

Constructor Summary
`MfTypeIOUtil()`

Method Summary
`static long` | `readLong(java.io.ByteArrayInputStream input)`
`static short` | `readShort(java.io.ByteArrayInputStream input)`
`static void` | `writeLong(java.io.ByteArrayOutputStream output, long value)`
`static void` | `writeShort(java.io.ByteArrayOutputStream output, short value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZEOF_BYTE

    public static final short SIZEOF_BYTE

See Also:
  Constant Field Values

### SIZEOF_SHORT

    public static final short SIZEOF_SHORT

See Also:
  Constant Field Values

### SIZEOF_LONG

    public static final short SIZEOF_LONG

See Also:
  Constant Field Values

Constructor Detail

### MfTypeIOUtil

    public MfTypeIOUtil()

Method Detail

### readShort

    public static short readShort(java.io.ByteArrayInputStream input)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeShort

    public static void writeShort(java.io.ByteArrayOutputStream output,
                                  short value)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLong

    public static long readLong(java.io.ByteArrayInputStream input)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLong

    public static void writeLong(java.io.ByteArrayOutputStream output,
                                 long value)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD